# Machine Learning for Reflectometry

Team: M. Doucet, R. Archibald, W. Heller

Simple code to test a neural network to determine the thin film model
parameters of a two-layer thin film from a measured reflectivity profile.

From an R(Q) profile with a predefined Q binning, we predict the values
of the two layer thicknesses, their SLD, their roughness parameters, and
the substrate's roughness.

## What's in the repo?
The `data` directory includes the neural network model, and validation
data for testing. It also includes example data taken on the Magnetism
Reflectometer at SNS, with a manual fit obtained using Refl1D.

The `factory` diredtory includes code copied from a previous project
to generate reflectivity models for training and validation purposes.

The `notebooks` directory contains example notebooks that loads and
uses the trained neural network.

## Dependencies
TensorFlow was used to handle the neural network. A conda environment
can easily be created using the `play_env.yaml` file using

    conda env create -f play_env.yml
