"""
    Code recycled as-is from LDRD project
"""
import yaml


def load(path):
    """ Load a series of shape defintions from a yaml file on disk """
    config = _get_dict_from_yaml_file(path)
    for name in config:
        config[name] = _patch_default_model_name(name, config[name])
    return config


def _get_dict_from_yaml_file(path):
    with open(path) as f:
        return yaml.load(f)


def _patch_default_model_name(name, config):
    if 'name' not in config:
        config['model_name'] = name
    else:
        config['model_name'] = config['name']
    return config
